Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.exhaustivesearch.scope
Class ExhaustiveSearchPhaseScope

    java.lang.Object
      org.optaplanner.core.impl.phase.scope.AbstractPhaseScope
          org.optaplanner.core.impl.exhaustivesearch.scope.ExhaustiveSearchPhaseScope

    public class ExhaustiveSearchPhaseScope

extends AbstractPhaseScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope
`bestSolutionStepIndex, logger, solverScope, startingScore, startingSystemTimeMillis`

Constructor Summary
`ExhaustiveSearchPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`void` | `addExpandableNode(ExhaustiveSearchNode moveNode)`
`Score` | `getBestPessimisticBound()`
`int` | `getDepthSize()`
`SortedSet<ExhaustiveSearchNode>` | `getExpandableNodeQueue()`
`ExhaustiveSearchStepScope` | `getLastCompletedStepScope()`
`List<ExhaustiveSearchLayer>` | `getLayerList()`
`void` | `registerPessimisticBound(Score pessimisticBound)`
`void` | `setBestPessimisticBound(Score bestPessimisticBound)`
`void` | `setExpandableNodeQueue(SortedSet<ExhaustiveSearchNode> expandableNodeQueue)`
`void` | `setLastCompletedStepScope(ExhaustiveSearchStepScope lastCompletedStepScope)`
`void` | `setLayerList(List<ExhaustiveSearchLayer> layerList)`

Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope
`assertExpectedUndoMoveScore, assertExpectedWorkingScore, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpent, calculateScore, calculateSolverTimeMillisSpent, getBestScore, getBestScoreWithUninitializedPrefix, getBestSolutionStepIndex, getNextStepIndex, getPhaseBestSolutionTimeMillis, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingEntityCount, getWorkingEntityList, getWorkingRandom, getWorkingSolution, getWorkingValueCount, isBestSolutionInitialized, reset, setBestSolutionStepIndex, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExhaustiveSearchPhaseScope

    public ExhaustiveSearchPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getLayerList

    public List<ExhaustiveSearchLayer> getLayerList()

### setLayerList

    public void setLayerList(List<ExhaustiveSearchLayer> layerList)

### getExpandableNodeQueue

    public SortedSet<ExhaustiveSearchNode> getExpandableNodeQueue()

### setExpandableNodeQueue

    public void setExpandableNodeQueue(SortedSet<ExhaustiveSearchNode> expandableNodeQueue)

### getBestPessimisticBound

    public Score getBestPessimisticBound()

### setBestPessimisticBound

    public void setBestPessimisticBound(Score bestPessimisticBound)

### getLastCompletedStepScope

    public ExhaustiveSearchStepScope getLastCompletedStepScope()

  Specified by:
    `getLastCompletedStepScope` in class `AbstractPhaseScope`

### setLastCompletedStepScope

    public void setLastCompletedStepScope(ExhaustiveSearchStepScope lastCompletedStepScope)

### getDepthSize

    public int getDepthSize()

### registerPessimisticBound

    public void registerPessimisticBound(Score pessimisticBound)

### addExpandableNode

    public void addExpandableNode(ExhaustiveSearchNode moveNode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.